package com.lzmispt.data.resource.service.datasync;

package .tmp;

import com.lzmispt.core.entity.dto.listdeletemodel.ListDeleteModelDTO;
import com.lzmispt.data.center.entity.dto.querymodel.DCQueryModelDTO;
import com.lzmispt.data.center.entity.dto.resource.metadata.GetDirectoryTreeDataDTO;
import com.lzmispt.data.center.entity.vo.resource.metadata.DirectoryTreeVO;
import com.lzmispt.data.resource.entity.dto.datasync.CheckTableInfoDTO;
import com.lzmispt.data.resource.entity.dto.datasync.GetDataSourceTableTreeDTO;
import com.lzmispt.data.resource.entity.dto.datasync.GetDataSyncTreeDataDTO;
import com.lzmispt.data.resource.entity.dto.datasync.GetDataTableFilesDTO;
import com.lzmispt.data.resource.entity.dto.datasync.MoveDataSyncDirDTO;
import com.lzmispt.data.resource.entity.dto.datasync.SaveDataSyncDirectoryDTO;
import com.lzmispt.data.resource.entity.dto.datasync.SaveDataSyncTaskDTO;
import com.lzmispt.data.resource.entity.dto.metadata.DragDirectoryDTO;
import com.lzmispt.data.resource.entity.vo.datasync.DataSourceTableTreeVO;
import com.lzmispt.data.resource.entity.vo.datasync.DataSyncDirBaseVO;
import com.lzmispt.data.resource.entity.vo.datasync.DataSyncDirVO;
import com.lzmispt.data.resource.entity.vo.datasync.DataSyncTaskAndDirVO;
import com.lzmispt.data.resource.entity.vo.datasync.DataSyncTaskFieldsVO;
import com.lzmispt.data.resource.entity.vo.datasync.DataSyncTaskVO;
import com.lzmispt.flink.entity.cdc.StructChangeMsg;
import com.lzmispt.framework.entity.entity.ResultEntity;
import java.util.List;
import java.util.Map;
import org.springframework.stereotype.Service;

@Service
public interface IDataSyncService {
  ResultEntity<List<DataSyncDirVO>> getDataSyncDirectoryTreeData(GetDataSyncTreeDataDTO paramGetDataSyncTreeDataDTO, String paramString);
  
  ResultEntity<DataSyncDirBaseVO> saveDataSyncDirectory(SaveDataSyncDirectoryDTO paramSaveDataSyncDirectoryDTO, String paramString1, String paramString2);
  
  ResultEntity<DataSyncTaskAndDirVO> saveDataSyncTaskAndDir(SaveDataSyncDirectoryDTO paramSaveDataSyncDirectoryDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> deleteDataSyncDirectory(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<List<DataSourceTableTreeVO>> getDataSourceTableTree(GetDataSourceTableTreeDTO paramGetDataSourceTableTreeDTO, String paramString);
  
  ResultEntity<List<DataSyncTaskAndDirVO>> getDataSyncTaskAndDirList(DCQueryModelDTO paramDCQueryModelDTO, String paramString);
  
  ResultEntity<Boolean> dragDirectory(DragDirectoryDTO paramDragDirectoryDTO);
  
  ResultEntity<Map<String, Object>> deleteDataSyncDirQuery(ListDeleteModelDTO paramListDeleteModelDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> moveDataSyncDir(MoveDataSyncDirDTO paramMoveDataSyncDirDTO, String paramString);
  
  ResultEntity<DataSyncTaskFieldsVO> getDataTableFieldList(GetDataTableFilesDTO paramGetDataTableFilesDTO, String paramString);
  
  ResultEntity<List<DataSourceTableTreeVO>> getExistDataSourceTableTree(GetDataSourceTableTreeDTO paramGetDataSourceTableTreeDTO, String paramString);
  
  ResultEntity<Boolean> checkFieldMapping(String paramString, CheckTableInfoDTO paramCheckTableInfoDTO);
  
  ResultEntity<DataSyncTaskFieldsVO> reacquireTaskFields(GetDataTableFilesDTO paramGetDataTableFilesDTO, String paramString);
  
  ResultEntity<Boolean> saveDataSyncTask(String paramString1, String paramString2, SaveDataSyncTaskDTO paramSaveDataSyncTaskDTO);
  
  ResultEntity<Boolean> saveDataSyncTask(String paramString1, String paramString2, SaveDataSyncTaskDTO paramSaveDataSyncTaskDTO, boolean paramBoolean);
  
  ResultEntity<List<DirectoryTreeVO>> getExistingCopyTableDirectory(String paramString1, String paramString2, GetDirectoryTreeDataDTO paramGetDirectoryTreeDataDTO);
  
  ResultEntity<DataSyncTaskVO> getDataSyncTaskDetails(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<DataSyncTaskFieldsVO> getSelectedTableFields(String paramString1, String paramString2, GetDataTableFilesDTO paramGetDataTableFilesDTO);
  
  void changeStruct(StructChangeMsg paramStructChangeMsg, String paramString);
}
